> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/sdk/domains-api/tossauth/tossauth.isintegrated.md).

# TossAuth.isIntegrated

> 函数式 API `getIsTossLoginIntegratedService`也可以这样使用同样的功能。

### 功能说明

检查用户是否已接入 Toss 登录。可用于查找现有 Toss 登录用户，并在迁移中将其转换为游戏标识符等场景。

Toss App Android/iOS `5.237.0` 可在以上版本使用。若在不支持的版本中调用则 `UNSUPPORTED_APP_VERSION` 会发生错误。

如果在不使用 Toss 登录的迷你应用中调用 `"需要设置 oauth2ClientId。"` 会出现消息错误。

### 类型

```ts
TossAuth.isIntegrated(): Promise<boolean>;
```

**Params**

无

**Response**

如果已接入 `true`，否则 `false`则返回。

### 错误代码

错误代码是 catch 到的错误的 `error.code` 值。

| 代码                        | 说明                                                                                                                   |
| ------------------------- | -------------------------------------------------------------------------------------------------------------------- |
| `UNSUPPORTED_APP_VERSION` | 如果当前运行的 Toss App 版本不支持此功能，调用后会立即发生。 `TossAuth.isIntegrated.isSupported()`可通过它提前确认，发生时 `error.message`请向用户显示（更新提示文案）。 |

### 示例代码

```js
import { TossAuth } from "@apps-in-toss/web-framework";

const button = document.querySelector("#check-integration-button");

button.addEventListener("click", async () => {
  try {
    const result = await TossAuth.isIntegrated();

    if (result === true) {
      console.log("这是已接入 Toss 登录的用户。");
    } else {
      console.log("这是未接入 Toss 登录的用户。");
    }
  } catch (error) {
    console.error(error);
  }
});
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/sdk/domains-api/tossauth/tossauth.isintegrated.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
